API documentation | API docs for agents | OpenAPI 3.1

POST /api/v1/compliance/pod-reviews/review

ark.update_pod_review_status

Approves, rejects, requests revision, or resets review status for a visible proof-of-delivery document.

Availability
Expanded preview
Scopes
loads:readbilling:write
ARK permissions
canViewLoadscanViewBillingcanMakeAdjustments
Team visibility
Required and enforced
Idempotency-Key
Required for this write
Approval
No MCP approval on REST API-token calls
Rate limit
API credential and organization budgets

Parameters

Idempotency-Keyheaderstringrequired
Required for external write operations. Reuse the same key only for exact retries of the same request body.
min length: 1; max length: 200

Request body

reviewIdstring

format: uuid

fileIdstring

format: uuid

statusstringrequired

one of: pending_review, approved, rejected, revision_required

approvalNotesstring | null

max length: 5000

rejectionReasonstring | null

max length: 5000

priorityinteger

min: 1; max: 5

Example request

Shell
curl -X POST 'https://arktms.com/api/v1/compliance/pod-reviews/review' \
  -H "Authorization: Bearer $ARK_API_TOKEN" \
  -H "Idempotency-Key: <unique-key>" \
  -H "Content-Type: application/json" \
  -d '"<body>"'

Success response

Updated POD review

objectstringrequired
okbooleanrequired
api_versionstringrequired
request_idstringrequired
dataobjectrequired
data.actionstringrequired

one of: created, updated

Errors

HTTP 400
Invalid request
HTTP 401
Authentication required
HTTP 403
Permission, scope, team, or entitlement denied
HTTP 404
Resource not found
HTTP 409
Idempotency conflict or in-progress retry